PolyUndefinedState (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class PolyUndefinedState

    java.lang.Object
      com.bbn.openmap.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
              com.bbn.openmap.omGraphics.editable.PolyUndefinedState

All Implemented Interfaces:
  MapMouseListener, EOMGUndefinedState, java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, java.awt.event.TextListener, java.awt.event.WindowListener, java.util.EventListener

    public class PolyUndefinedState

extends GraphicUndefinedState

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
`graphic`

Fields inherited from class com.bbn.openmap.util.stateMachine.State
`i18n`

Constructor Summary
`PolyUndefinedState(EditableOMPoly eomp)`

Method Summary
`boolean` | `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`boolean` | `mousePressed(java.awt.event.MouseEvent e)` In this state, we need to draw a poly from scratch.
`boolean` | `mouseReleased(java.awt.event.MouseEvent e)` In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on.

Methods inherited from class com.bbn.openmap.omGraphics.editable.GraphicUndefinedState
`mouseMoved`

Methods inherited from class com.bbn.openmap.util.stateMachine.State
`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseExited, mouseMoved, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolyUndefinedState

    public PolyUndefinedState(EditableOMPoly eomp)

Method Detail

### mousePressed

    public boolean mousePressed(java.awt.event.MouseEvent e)

  In this state, we need to draw a poly from scratch. So, we listen for a mouse down, and set both points there, and then set the mode to poly edit.

  Specified by:
    `mousePressed` in interface `MapMouseListener`
  Overrides:
    `mousePressed` in class `GraphicUndefinedState`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent e)

  In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on. If the end points are clicked on, then we do nothing except set the moving point and go to edit mode.

  Specified by:
    `mouseReleased` in interface `MapMouseListener`
  Overrides:
    `mouseReleased` in class `State`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

### mouseDragged

    public boolean mouseDragged(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button is pressed on a component and then dragged. The listener will receive these events if it successfully processes mousePressed(), or if no other listener processes the event.

  Specified by:
    `mouseDragged` in interface `MapMouseListener`
  Overrides:
    `mouseDragged` in class `State`
  Parameters:
    `e` - MouseEvent
  Returns:
    true if the listener was able to process the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details